map_ready = false;
ymaps.ready(function () {
	map_ready = true;
});

function ya_map() {
	$('#poptxt').html('<div id="ya_map_pub">Загрузка...</div>');
	modWin('open', 'ya_map_pub');
	if (map_ready) {
		init();
	}else{
		ymaps.ready(function () {
			init();
		});
	}
}

function init() {
	$('#ya_map_pub').html('');
	// координаты
	coords = balloons_user[0].coord, // first coord
		myMapYa = new ymaps.Map("ya_map_pub", {
			center: coords,
			zoom: 10
		}, {
			balloonMaxWidth: 200
		});
	myMapYa.behaviors.enable('scrollZoom');
	myMapYa.controls
		// Кнопка изменения масштаба
		.add('zoomControl')
		// Список типов карты
		.add('typeSelector')
		//
		.add('routeEditor')
		.add('mapTools');


	myMapYa.controls
		.add(new ymaps.control.ScaleLine())
		.add(new ymaps.control.MiniMap({
			type: 'yandex#publicMap'
		}));


	var myCollection = new ymaps.GeoObjectCollection();


	var myIconContentLayout = ymaps.templateLayoutFactory.createClass(
		'<div class="ballon_yamap_name">$[properties.iconContent]</div>');
	var count=0;
	for (var num_mark in balloons_user) {
		count++;
		var ball_info = balloons_user[num_mark];

		var form = "<div class='ya_map_name'>" + ball_info.name + "</div><div class='ya_map_info'>" + ball_info.adress + "</div>";
		// Создаем геообъект с типом геометрии "Точка".
		var myGeoObject = new ymaps.GeoObject({
			// Описание геометрии.
			geometry: {
				type: "Point",
				coordinates: ball_info.coord
			},
			// Свойства.
			properties: {
				// Контент метки.
				iconContent: ball_info.name,
				balloonContent: form
			}
		}, {
			// Опции.
			// Иконка метки будет растягиваться под размер ее содержимого.
			preset: 'twirl#redStretchyIcon',
			iconContentLayout: myIconContentLayout
		})

		myCollection.add(myGeoObject);

		// clusterer.add(myGeoObject);
		// myMapYa.geoObjects.add(myGeoObject);

	}

	myMapYa.geoObjects.add(myCollection);

	if(count>1){
		myMapYa.setBounds(myCollection.getBounds());
	}

}